## net.sf.statcvs.pages
Class MarkupXDoc

    java.lang.Object
      net.sf.statcvs.pages.MarkupXDoc

All Implemented Interfaces:
  MarkupSyntax

    public class MarkupXDoc

extends java.lang.Object
implements MarkupSyntax

Version:
  $Id: MarkupXDoc.java,v 1.6 2008/04/02 11:22:14 benoitx Exp $
Author:
  Benoit Xhenseval, Richard Cyganiak (richard@cyganiak.de)

Method Summary
`java.lang.String` `endSection1()`
`java.lang.String` `endSection2()`
`java.lang.String` `getEndOfPage()`
`java.lang.String` `getExtension()` Extension for report pages, e.g.
`java.lang.String` `getHeader(java.lang.String pageName, java.lang.String stylesheetURL)`
`static MarkupSyntax` `getInstance()`
`java.lang.String` `getTableFormat()`
`java.lang.String` `startSection1(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title, java.lang.String id)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static MarkupSyntax getInstance()

### getEndOfPage

    public java.lang.String getEndOfPage()

  Specified by:
    `getEndOfPage` in interface `MarkupSyntax`

### getExtension

    public java.lang.String getExtension()

  Description copied from interface: `MarkupSyntax`
  Extension for report pages, e.g. `html`

  Specified by:
    `getExtension` in interface `MarkupSyntax`

### getHeader

    public java.lang.String getHeader(java.lang.String pageName,
                                      java.lang.String stylesheetURL)

  Specified by:
    `getHeader` in interface `MarkupSyntax`

### startSection1

    public java.lang.String startSection1(java.lang.String title)

  Specified by:
    `startSection1` in interface `MarkupSyntax`

### endSection1

    public java.lang.String endSection1()

  Specified by:
    `endSection1` in interface `MarkupSyntax`

### startSection2

    public java.lang.String startSection2(java.lang.String title)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

### startSection2

    public java.lang.String startSection2(java.lang.String title,
                                          java.lang.String id)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

### endSection2

    public java.lang.String endSection2()

  Specified by:
    `endSection2` in interface `MarkupSyntax`

### getTableFormat

    public java.lang.String getTableFormat()

  Specified by:
    `getTableFormat` in interface `MarkupSyntax`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`